// (p1) - nazwa, (p2)(p3)(p4) - lokacja, (p5) rotacja, (p7) (p8) (p9) - sterowanie poprzednim semaforem sbl
// (p6) nazwa toru przed semaforem
// model semafora:
node -1 0 (p1) model (p2) (p3) (p4) (p5) sbl3.t3d Lights 0 0 1 endmodel

//komorki pamietajace
node -1 0 (p1)_sem_mem memcell (p2) (p3) (p4) SetVelocity 0.0 0.0 (p6) endmemcell
node -1 0 (p1)_sem_distmem memcell (p2) (p3) (p4) SetVelocity -1 0.0 none endmemcell

//wpis do komorek
event (p1)_sem_info_stop updatevalues 0.0 (p1)_sem_mem SetVelocity 0.0 0.0 endevent
event (p1)_sem_distinfo_stop updatevalues 0.0 (p1)_sem_distmem SetVelocity -1 0.0 endevent

event (p1)_sem_info_vmax updatevalues 0.0 (p1)_sem_mem SetVelocity -1 -1 endevent
event (p1)_sem_distinfo_vmax updatevalues 0.0 (p1)_sem_distmem SetVelocity -1 -1 endevent

event (p1)_sem_info_v60 updatevalues 0.0 (p1)_sem_mem SetVelocity 60 -1 endevent
event (p1)_sem_distinfo_v60 updatevalues 0.0 (p1)_sem_distmem SetVelocity -1 60 endevent


//obraz sygnalizatora
event (p1)_sem_ligh1 lights 0.0 (p1) 0 1 0 endevent
event (p1)_sem_ligh2 lights 0.0 (p1) 1 0 0 endevent
event (p1)_sem_ligh4 lights 0.0 (p1) 0 0 2 endevent
event (p1)_sem_ligh5 lights 0.0 (p1) 0 0 1 endevent

//zdarzenia sterujace semaforem
event (p1)_s1 multiple 0 none (p1)_sem_ligh1 (p1)_sem_info_stop (p1)_sem_distinfo_stop (p7) endevent
event (p1)_s2 multiple 0 none (p1)_sem_ligh2 (p1)_sem_info_vmax (p1)_sem_distinfo_vmax (p8) endevent
event (p1)_s4 multiple 0 none (p1)_sem_ligh4 (p1)_sem_info_vmax (p1)_sem_distinfo_v60  (p9) endevent
event (p1)_s5 multiple 0 none (p1)_sem_ligh5 (p1)_sem_info_v60  (p1)_sem_distinfo_v60  (p9) endevent

//zdarzenia wyzwalane przez tor przy semaforze i po poprzednim semaforze
event (p1)_sem_info getvalues 1.0 (p1)_sem_mem endevent
event (p1)_sem_distinfo getvalues 2.0 (p1)_sem_distmem endevent